## IdeEditorViewAddin IdeEditorViewAddin |

## Functions

void | ide_editor_view_addin_load ()
void | ide_editor_view_addin_unload ()
void | ide_editor_view_addin_stack_set ()
void | ide_editor_view_addin_language_changed ()
IdeEditorViewAddin * | ide_editor_view_addin_find_by_module_name ()

## Types and Values

#define | IDE_TYPE_EDITOR_VIEW_ADDIN
struct | IdeEditorViewAddinInterface
| IdeEditorViewAddin

## Object Hierarchy

        GInterface
        ╰── IdeEditorViewAddin

## Prerequisites

IdeEditorViewAddin requires GObject.

## Description

## Functions

### ide_editor_view_addin_load ()

    void
    ide_editor_view_addin_load (IdeEditorViewAddin *self,
                                IdeEditorView *view);

### ide_editor_view_addin_unload ()

    void
    ide_editor_view_addin_unload (IdeEditorViewAddin *self,
                                  IdeEditorView *view);

### ide_editor_view_addin_stack_set ()

    void
    ide_editor_view_addin_stack_set (IdeEditorViewAddin *self,
                                     IdeLayoutStack *stack);

### ide_editor_view_addin_language_changed ()

    void
    ide_editor_view_addin_language_changed
                                   (IdeEditorViewAddin *self,
                                    const gchar *language_id);

### ide_editor_view_addin_find_by_module_name ()

    IdeEditorViewAddin *
    ide_editor_view_addin_find_by_module_name
                                   (IdeEditorView *view,
                                    const gchar *module_name);

This function will locate the IdeEditorViewAddin that was registered by the addin named `module_name` (which should match the module_name provided in the .plugin file).

If no module was found or that module does not implement the IdeEditorViewAddinInterface, then `NULL` is returned.

#### Parameters

view | an IdeEditorView |
module_name | the module name which provides the addin |

#### Returns

An IdeEditorViewAddin or `NULL`.

[transfer none][nullable]

Since: 3.26

## Types and Values

### IDE_TYPE_EDITOR_VIEW_ADDIN

    #define IDE_TYPE_EDITOR_VIEW_ADDIN (ide_editor_view_addin_get_type ())

### struct IdeEditorViewAddinInterface

    struct IdeEditorViewAddinInterface {
      GTypeInterface parent;

      void (*load)               (IdeEditorViewAddin *self,
                                  IdeEditorView      *view);
      void (*unload)             (IdeEditorViewAddin *self,
                                  IdeEditorView      *view);
      void (*language_changed)   (IdeEditorViewAddin *self,
                                  const gchar        *language_id);
      void (*stack_set)          (IdeEditorViewAddin *self,
                                  IdeLayoutStack     *stack);
    };

### IdeEditorViewAddin

    typedef struct _IdeEditorViewAddin IdeEditorViewAddin;